| Home | Libraries | People | FAQ | More

## Struct template random_access_iterator

boost::type_erasure::random_access_iterator

## Synopsis

    // In header: <boost/type_erasure/iterator.hpp>

    template<typename T = _self, typename Reference = boost::use_default,
             typename DifferenceType = std::ptrdiff_t>
    struct random_access_iterator : public boost::type_erasure::iterator< boost::random_access_traversal_tag, T, Reference, DifferenceType >
    {
    };